Subject: Ticket Assigned - On May 27 2020 I placed an order (9784708444 ) that from then I received various calls from delivery...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 21 Jun 2020 07:49:20 +0000

Hi Mohammad Tawfik Ali Naji Musaed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  On May 27 2020 I placed an order (9784708444 ) that from then I received various calls from delivery... On May 27 2020 I placed an order (9784708444 ) that from then I received various calls from delivery guys who always told me that they couldn’t deliver to my location. Later on I received a notification saying that the package had been returned and a refund of AED 177 was made on my card which is not true because I received nothing on my card. My point is that Center point is a big brand but just because of a few bad people in it, it can lose customers . I may remain silent about this whole unfairness because it hurts to pay money for something and it’s not delivered and also your money is taken. Felt scammed and disappointed but am of simple request you try to work on those simple things that can make you lose customers because yes me I lost both the money and package but maybe someone else will take action. Me I gave up and I let  my money go but please let that unfairness stop on me because we go through a lot to get that money and if it’s just taken like that, it really hurts. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1238365